#pragma once

//#include <glad/glad.h>
#include "Core/Logger.h"

#define GLEW_STATIC
#include <GL/glew.h>
#include <glfw/glfw3.h>

#define __CHECK_GL_ERROR__ { \
        auto gl_error_code=glGetError();\
        if(gl_error_code!=GL_NO_ERROR){\
            ERRORLOG("gl_error_code: {}", static_cast<int>(gl_error_code));\
        }\
    }
